libopenraw 0.4.0-alpha.12 - 2025/08/21

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Samsung GX-1L*.
  - Sony. Fix coefficients for RX1RM3.

Bug fixes:

  - JPEG
    - Return the proper orientation.
    - Return the proper mime type.

Internal:

  - Now require Rust 1.70

libopenraw 0.4.0-alpha.11 - 2025/07/25

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - DJI FC4382 Mavic 3 Pro Cinema.
  - Fujifilm X-E5*.
  - Nikon Z 5 II*, Coolpix P1100*.
  - OM Systems OM-5 II*.
  - Panasonic TZ-71* (Alias to TZ91), G97* (Alias to G99), S1II* and
    S1IIE*.
  - Sony 6400A*, a7CR*, a7CII*, RX1RM3*, and RX100M7A*.
    Fix coefficients for A1 II. (#26)

New features:

  - X-Trans demosaicking.
  - Apply White Balance. (#20)

Bug fixes:

  - API: Some consistency changes to the Rust API.
  - Remove some unused C++ header file.
  - Fix colour matrix for Sony A6400 and Sony RX100M7.
  - (Alpha) Update the XYZ to RGB matrix to CIE 2003.

Internal:

  - Added benchmark for xtrans and bimedian demosaic.
  - Updated criterion (benchmark) and serde_xml (for testsuite).

libopenraw 0.4.0-alpha.10 - 2025/05/01

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Canon PowerShot V1*, EOS R50V*
  - Fujifilm GFX 100RF*
  - Panasonic GH7*, S1RII*
  - OM System OM-3*
  - Sigma BF (DNG)
  - Sony UMC-R10C (alias)

New features:

  - Support user crops in RAF files.
  - Recognize JPEGXL compressed thumbnails (mostly in DNG).
  - Extract larger preview from RW2 files.

Bug fixes:

  - Fujifilm: Fix makernotes on SPro2 and other Big Endian files.
  - Update to latest Rust compiler.
  - Fix thumbnails on Ricoh GXR A16 DNG files.
  - Now opening the RAW file can fail without panic. More API return
    Result<>.
  - Better handling of truncated raw files.

libopenraw 0.4.0-alpha.9 - 2024/12/24

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Fujifilm X-M5*
  - Leica Q3 43
  - Nikon Z5 II*
  - Pixii A1112 and A1571
  - Sealife DC2000
  - Sony A1 II*

New features:

  - Panasonic decompression. (contributed by DorotaC)

Bug fixes:

  - (Alpha) Panasonic: fix uncompressed raw loading (L1, LX1, etc).
  - Panasonic: Fix the colour matrices for GX80/GX85 and GX7MK2.
  - Panasonic: Added matrices for DC-FZ45.
  - (Alpha) ordiag: Fix an overflow when saving the raw data.
  - (Alpha) Get the output size for RAF.

Contributors:

  - DorotaC

libopenraw 0.4.0-alpha.8 - 2024/09/10

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Apple iPhone 15 Pro Max.
  - DJI Air 3, Inspire 3.
  - Google Pixel XL, 3 XL, 4 XL, 7a, 8 Pro, 9 Pro.

New features:

  - Extract the user crop (CR2, CR3, DNG, GPR, NEF, ORF, PEF, RAF, ARW,
    RW2, RAW).

Bug fixes:

  - (Alpha) API: Removed the `Image` trait and `data16()` is now in `Bitmap`.

Internal:

  - Testsuite for user crop and user aspect ratio.
  - (Alpha) Fix the AsShotNeutral C++ testsuite.

libopenraw 0.4.0-alpha.7 - 2024/08/17

THIS IS A PRE-RELEASE.

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Canon R5MkII*, R1*.
  - Panasonic G100D*. Colour matrices for S9.
  - Leica D-Lux 8.
  - Nikon Z6 III*.
  - Sony ZV-E10 II*.

New features:

  - Pentax: handle compressed files.
  - Fujfilm: decompress RAF X- and GFX- series.

Bug fixes:

  - Fujifilm: Fix decoding for X-100, X-10, X-F1, and unpacked raw (GFX and
    X-Trans).
  - Olympus ORF: Fix decompression for XZ-2 XZ-10, SH-2, SP565UZ, SP500UZ,
    SP510, SP550 and SP350
  - Nikon: Fix detection of NRW. Allow uncompressed NRW (Nikon A1000) that
    worked coincidentally because of this bug.
  - Nikon: Extract black values from MakerNote if available.

Internal:

  - Added testsuite for Olympus XZ-10 and SP565UZ.
  - Added probe.
  - Use Rust 2021.

libopenraw 0.4.0-alpha.6 - 2024/06/23

THIS IS A PRE-RELEASE.

Bug fixes:

  - Most Canon CR2 render properly:
    - Fix black levels in Canon CR2. Closes issue #5.
      https://gitlab.freedesktop.org/libopenraw/libopenraw/-/issues/5
    - (Alpha) Fixed mosaic on Canon.
  - Fix black levels for Canon CRW. Canon S30 and S40 now render
    properly.

libopenraw 0.4.0-alpha.5 - 2024/06/14

THIS IS A PRE-RELEASE.

Bug fixes:

  - (Alpha) Reduced peak memory usage with colour rendering by 25%
  - (Alpha) Get the right colour matrix for the D65 illuminant. Also
    get both matrices in the rawimage.
  - (Alpha) Properly calculate the cam XYZ to RGB matrix.
  - (Alpha) Fixed white balance for Canon G11, G5X, G7X MkII (and
    possibly others).
  - Improved parsing of Sony A100 files.
  - (Alpha) Fix rendering for Sony R1 (SR2).
  - Fix black levels in Olympus ORF.

New features:

  - (Alpha) Support white balance for CRW, ERF.
  - C API: Added as_shot_neutral. Updated the levels to get the quad
    values.

Internal:

  - Added testsuite for Canon G5X, G7XMark II, 200D / SL2, and white
    balance test.

libopenraw 0.4.0-alpha.4 - 2024/06/01

THIS IS A PRE-RELEASE.

Bug fixes:

  - (Alpha) Recover from invalid IFD entries (on ORF files).

New features:

  - Extract the GPSInfo

Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Apple iPhone 14, iPhone 15 Pro.
  - Canon R100*.
  - Fujfilm X-T50*, GFX100 II*, X100VI*.
  - GoPro HERO11 Black, HERO12 Black and Fusion.
  - Leica SL3.
  - Nikon Z f*.
  - Olympus TG-7* and OM-1 MkII*.
  - Panasonic S9, G9 II* and FX150*.
  - Sony FX30* and A III*.

API changes:

  - Added `mime_types()` and `type_for_mime_type()` with C API.
  - (Alpha) Rawfile::metadata_value() takes a &str for key.

Misc:

  - Updated simple_logger, image-rs.

libopenraw 0.4.0-alpha.3 - 2024/01/21

THIS IS A PRE-RELEASE.

Bug fixes:

  - (Alpha) Added missing `extensions()` API in Rust.
  - (Alpha) Removed unneeded cc dependency.

API changes:

  - Added mimetype API.
  - Separate type for old Panasonic raw.
  - `or_get_file_extensions()` only return extensions for raw file
    (not JPEG).

libopenraw 0.4.0-alpha.2 - 2024/01/06

THIS IS A PRE-RELEASE.

New features:

  - The library is now written in Rust. This should provide a safer
    code. Some API changed, see below.
  - Extract White Balance coefficients.

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Fujifilm Z-S20*.
  - Nikon Z8*.
  - Pannsonic S5M2X*, ZS200D* (Alias of ZS200).
  - Pentax K3 Mark III DNG is properly identified. Added K3 Mark III
    Monochrome.
  - Sony ILCE-6700*, Z-V1M2*.

Bug fixes:

  - The white and black values for the RAW data are now correctly set.
    - DNG, ERF, PEF: directly from the files.
    - CR2: from the built-in matrices.
    - Values are now quads (for 4 component patterns)
  - The active area from Olympus ORF is extracted from the files.
  - Fujifilm RAF: get black levels and set white levels and non X-trans CFA.
  - DNG: decompress lossless JPEG tiled images (most of DNG converted files).

API changes:

  - `or_rawfile_get_rawdata()` now returns a newly allocated raw data.
  - `or_rawfile_get_thumbnail()` now returns a newly allocated thumbnail.
  - `or_rawfile_get_thumbnail_sizes()` may return nullptr on error.
  - `or_rawfile_get_rendered_image()` now returns a new allocated bitmap data.
  - `or_rawfile_get_metavalue()` now take a string key, and the MetaValue must
    be freed.
  - `or_rawfile_get_ifd()` return an owned object.
  - `or_rawfile_get_calibration_illuminantX()` returns a uint32_t instead of
    an enum.
  - `or_metadata_iterator_get_entry()` now just return the entry.
  - Added `or_metadata_iterator_get_dir()` to return the IFD.
  - Added `or_metadata_get_key()`, `or_metadata_get_value()` and `or_metadata_get_type()`.
  - Removed `or_bitmapdata_new()`, `or_rawdata_new()`, `or_thumbnail_new()` that are
    no longer needed.
  - Removed `or_ifd_release()` that is no longer needed.
  - `or_metavalue_get_string()` no longer take an index.

Internal changes

  - The mp4parse crate as been moved to src/mp4/parse, and mp4parse_capi
    has been removed. This allow publishing the crate.
  - You can add testsuite fragments into `testsuite/testsuite.d` for
    addition regression tests.

libopenraw 0.3.7 - 2023/07/31

Bug fixes:

  - Fix a crash when rendering Leica M Monochrom DNG files.
  - Preserve the raw data photometric interpretation when decompressing
    raw data.

Other:

  - Updated Exif tags.

libopenraw 0.3.6 - 2023/06/10

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Leica M11 Monochrom, Q3.

Bug fixes:

  - Properly decode uncompressed big endian 16 bit raw data from
    Pentax PEF. Issue #2.  Including PENTAX *ist DS.
    https://gitlab.freedesktop.org/libopenraw/libopenraw/-/issues/2
  - Added missing MPL-2.0 license to tarball.
    https://gitlab.freedesktop.org/libopenraw/libopenraw/-/issues/15
  - Fix build issue with Rust 1.70.
  - Fix offline Rust build from tarball.

libopenraw 0.3.5 - 2023/04/28

New features:

  - The Rust crates are vendored for the tarball. Note: resulting
    tarball is bigger.

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added coefficients for Canon R8* and R50*.
  - Added coefficients for Panasonic S5M2*.
  - Added Panasonic GF8*.
  - Added Sony ZV-E1*, ILME-FX30*.

Bug fixes:

  - Fix a missing include with gcc 13. Issue #12.
    https://gitlab.freedesktop.org/libopenraw/libopenraw/-/issues/12

libopenraw 0.3.4 - 2023/02/13

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Canon R8 and R50.
  - Added Panasonic G95D* and S5M2.

Bug fixes:

  - Ensure that RawFile::init() is never called twice. This would
    cause crashes if it was called concurrently.

Internal changes:

  - Change mutability of access to the factory and the extensions.

libopenraw 0.3.3 - 2022/12/28

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Canon 200D Mk II*, EOS R6 MKII*, EOS R7* and EOS R10*.
  - Added DJI Mini 3 Pro / FC-3582 (DNG).
  - Added Fujifilm X-H2*, X-H2S*, X-T5*, S6000fd*, SL1000* and HS50EXR*.
  - Added Hasselblad L2D-20c / DJI Mavic 3 Cine (DNG).
  - Added Olympus C5060WZ*, SP570UZ* and E-P7*.
  - Added OM Systems OM-5*.
  - Added Panasonic FZ38*, FZ300*, FZ70, FZ72*, G6*, G70*, G81*, G90*,
    GM1S*, GX7 Mk3*, GX85*, LF1*, TZ71*, TZ81*, TZ90*, TZ96*, TZ101*,
    ZS40*/TZ60*/TZ61*.
  - Added Sony 7RM5*.
  - Added Leica D-LUX 6*.
  - Added Nikon Z 30*.

Bug fixes:

  - autoconf-archive is no longer required for development. Issue #11.
  - The tarball will have up to date autoconf files.
  - Test suite bootstrap no longer crashes.
  - Test suite bootstrap no longer leave 0 bytes files.
  - Test suite build without warning if CURL is disabled (no bootstrap).

libopenraw 0.3.2 - 2022/06/24

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Epson RD-1X*.
  - Added Leica DIGILUX3*.
  - Added Nikon D1H*, D7500*, D850* and P7800*.
  - Added Olympus E30*, E420*, E450*, E520*, E600* and E-P5*.
  - Added Pentax K2000* and K-m* (PEF).

Bug fixes:

  - Properly detect compressed data for Panasonic.
  - Fix the linkage of the mp4parse library with libtool.
  - Fixed the demo/ccfa to output properly the byte stream.
  - Fixed BitIterator code to peek past the number of bits
    for Olympus decoding.
  - Fixed decompression of packed Olympus ORF files.
  - Fixed over reported size of Panasonic compressed Raw data.

Internal changes:

  - Refactored the Olympus decompressor: less code.
  - Update Mozilla mp4parser to the latest 0.12.0 (rebased) for
    the CR3 parser.

libopenraw 0.3.1 - 2022/04/19

New features:

  - Added `identify` as a tool to check a file can be open. This is just
    for development purpose.
  - Updated the Exif tag list to ExifTool 12.30.

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Apple iPhone 12 Pro and iPhone 13 Pro.
  - Added Canon EOS M2*, EOS M50 MarkII* and EOS R3*.
  - Added DJI Osmo Action, FC220, FC350, FC6310 and FC7303.
  - Added Fujifilm X-E4*, X-T30 II*, GFX 50S II* and GFX 100S*
  - Added Leica M11.
  - Added Nikon Z9* and Zfc*.
  - Added Olympus E-M10III*.
  - Added OM Systems OM-1*.
  - Added Panansonic G7*, GH5II* and GH6*, and alias for Panasonic G110.
  - Added Pentax K3 MarkIII (DNG and PEF*).
  - Added Ricoh GR IIIx.
  - Added Sigma fp L.
  - Added Sony DSLR-A300*, DSLR-A350*, ILCE-A7R III A*, ILCE-A7R IV A*,
    DSC-HX95*, ZV-E10*, QX-1*, A-1*, and A-7IV*.

Bug fixes:

  - Sony HX95 was not identified properly.
  - gnome/libopenraw-gnome-0.3.pc now has the right dependency version.
    https://github.com/hfiguiere/libopenraw/pull/2
  - The Doxygen generated documentation is much more usable.
  - Fix build on BSD (endian header)
    https://gitlab.freedesktop.org/libopenraw/libopenraw/-/merge_requests/2
  - Fix build on gcc 11
    https://gitlab.freedesktop.org/libopenraw/libopenraw/-/issues/6

Internal changes:

  - Added a make webdist target to streamline copying the doxygen output.
  - Removed a few piece of unused code in IFD, MakerNote and ljpeg decompressor.
  - Use bionic on Travis CI
  - Minor cleanup in the Sony code.
  - Updated configure to more modern syntax (autoupdate). Requires autoconf 2.69.

libopenraw 0.3.0 - 2020/12/18

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Pentax K-7 (DNG), K5 II (DNG), *-ist DL2*, K110D*, K5 II*, K3*,
    K3 II*, K-S1*.
  - Added Leica Monochrom M Typ-246 (DNG), D-LUX 4*, Q2-Monochrom (DNG) and
    SL2-S (DNG).
  - Added XIAOYI YDXJ-2 and YIAC-3 (DNG).
  - Added Nikon Z5*, Z6 2* and Z7 2*.
  - Added Sony A7SIII*, A7C*.
  - Added Canon PowerShot S30*, S40*, S45*, S50*, S60*, S70*, S100V*, Pro70,
    EOS 850 D / Rebel T8i / KISS X10i*.
  - Added Hasselblad L1D-20c (DNG).
  - Added Panasonic S5*.
  - Added Zeiss ZX1 (DNG).
  - Added Fujifilm FinePix S100FS*, X-S10*.

  - Epson R-D1, R-D1s: extract the 640 pixel preview.
  - Panasonic: extract the Exif thumbnail, get bit per channel, CFA pattern.
  - Olympus, Nikon, Pentax: extract the MakerNote preview.
  - Pentax: Extract the active area and white level when available.
  - Sony: files properly identified. A390 treated as a A380.
  - Canon CRW: synthesize Exif metadata.

Changes:

  - API: Added or_ifd_release(), or_ifd_get_name() and or_ifd_get_type().
  - API: The ORIfdDirRef returned by or_rawfile_get_ifd() must
    be released.
  - API: or_rawfile_get_ifd() support more IFD types.
  - API: or_ifd_index is replaced by or_ifd_dir_type. OR_IFD_MAKERNOTE is replaced
    by OR_IFD_MNOTE, OR_IFD_CFA is replaced by OR_IFD_RAW.
  - API: or_iterator*() to iterate through the metadata tags.
  - API: Added or_metavalue_get_count().
  - Fix getting MakerNotes for Pentax, Panasonic.
  - Get the Panasonic Exif thumbnail.
  - Added tool `exifdump`.

Internal Changes:

  - Use std::make_unique<>: requires C++14 to compile.
  - Added LOGASSERT().
  - Use model ID when available (Sony, Pentax) instead of strings.
  - Testsuite list the tests that are not run.
  - You can run any testsuite.

Bug fixes:

  - Panasonic: fix the active area, the bpc and the CFA pattern type.
  - Issue #4: Test can be run with --disable-static.

libopenraw 0.2.3 - 2020/08/09

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Added Olympus E-M10MarkIV*.
  - Added Hasselblad Lunar* (rebadged Sony NEX-7).
  - Added iPhone 8, SE, XS.

  - Coefficients for Panasonic DC-G100, Sony ZV-1, Canon EOS R5 and EOS R6.

Bug fixes:

  - Fix preview for CR3 files.
  - Properly recognize Apple as make.
  - Fix an overflow in the ljpeg decompressor.

Internal Changes:

  - Added SR2 test case in the testsuite.

libopenraw 0.2.2 - 2020/07/24

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Support for Canon EOS R5 and R6.
  - Support for Sony DSC-R1* (SR2).
  - Support for Nikon D6*.
  - Support for Panasonic DC-G100.
  - Support for Leica M10-R.
  - Support for GoPro HERO5, HERO6, HERO7 and HERO8 (GPR files, DNG based).
  - Added Sony SR2 file support.

  - ordiag: Added a developer mode with `-D`.

Bug fixes:

  - Properly detect Canon Digital Rebel (aka 300D).
  - Better detect Minolta and Ricoh vendors.
  - Fix a crash in DNG on invalid files.

libopenraw 0.2.1 - 2020/06/26

New features:

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Support for Nikon Coolpix P950*.
  - Support for Fujifilm F550EXR*.
  - Support for Sony ZV-1.

Internal Changes:

   - Updated MP4 parser.

libopenraw 0.2.0 - 2020/03/26

The enclosed RELEASE_NOTES file give a higher-level overview of what's new.

Contributors to this project agree to the Freedesktop.org Code of
Conduct:

  https://www.freedesktop.org/wiki/CodeOfConduct/

Changes:

  - API: the package name is libopenraw-0.2
  - API: some camera ID have been renamed or value changed.
  - API: or_rawdata_get_roi() renamed to or_rawdata_get_active_area().
  - API: cfa_pattern renamed to mosaicinfo.

New features:

  - API: or_rawfile_get_vendorid() to get the vendor id.
  - Partial support for Canon CR3.
  - Partial support for GoPro GPR.

  Camera support:
  [ a * denote that static WB coefficients have been included, unless DNG ]

  - Support for Canon EOS M50/KISS M*, M6 MkII*, M200*, EOS R*, EOS RP*,
    SX1 IS*, SX60 HS*, SX70 HS*, S120*, 2000D/Rebel T7/Kiss X90*,
    3000D/4000D/Rebel T100*, 250D/Rebel SL3/Kiss X10*, 1D MarkII N*, 1D*, 1Ds*,
    90D*, G5XMkII*, G7XMkIII*, 1DXMkIII*.
  - Removed PowerShot G7 as it doesn't have RAW.
  - Support for Fujifilm S5000*, HS30EXR*, X-T100*, GFX 50R*, GFX-100*, X-T3*,
    X-T30*, X-T4*, X-A7*, X-Pro3*, X-T200*, X-100V*.
  - Support for Olympus Stylus1,1s, TG-5*, TG-6*, E-M10 Mark III*, E-M1X*,
    E-M5MarkIII, SP-565UZ*, E-PL10*, E-M1MarkIII*
  - Support for Panasonic DC-FZ45, DMC-FZ35*, DMC-FZ40/FZ45*, DC-FZ80/FZ82*,
    DMC-FZ150*, DMC-GX7MK2*, DC-GH5S*, DMC-LX1*, DMC-LX10/LX15*, DC-ZS200*,
    DC-LX100M2*, DC-S1*, DC-S1R*, DC-S1H*, DC-G95*, DC-GF10/GX880*,
    DC-ZS80/DC-TZ95*, DMC-FZ1000* and DC-FZ1000 II*.
  - Support for Pentax 645Z DNG and PEF*, 645D DNG, K1 Mk II DNG and PEF*,
    K10D DNG, KP PEF*.
  - Support for Ricoh GX200, GR II, GR III.
  - Support for Sigma fp.
  - Support for Sony RX0*, RX0M2*, RX10M4*, A5000*, A5100*, A7M2*, A7M3*, A7S*,
    A7SM2*, A7RM3*, A7RM4*, A9*, A9II*, NEX-3N*, DSLR-A230*, DSLR-A290*,
    DSLR-A330*, DSLR-A450*, DSLR-A500*, SLT-A37*, ILCA-68*, ILCA-77M2*,
    RX100M6*, RX100M7*, A6100*, A6400*, A6600*, HX95/99*.
  - Support for Leica V-LUX (Typ 114)*, C-LUX*, D_Lux 7*, Leica M10-P, TL2,
    C (Typ 112)*, V-Lux 5*, M10 Monochrom.
  - Support for Nikon Z 6 and Z 7* (partial), Nikon Z 50*, Coolpix P1000*,
    Coolpix E8800*, Coolpix A1000*, Nikon D3500*, Nikon D780*.
  - Added aliases for Canon Rebel XTi and Kiss Digital X (400D),
    Kiss X2 (450D), Kiss X4 (550D), Kiss F (1000D), Kiss X5 (600D),
    Kiss X50 (1100D), Kiss X6i (650D), Kiss X7 (100D), Kiss X7i (700D),
    Kiss X8i (750D), 8000D (760D), Kiss X70 (1200D), Kiss X9i (800D),
    Kiss X9 (200D), Kiss X80 (1300D).
  - Added alias for Panasonic TX1 (ZS100).
  - Added alias for Sony A3500 (A3000).
  - Coefficients for EOS M6.
  - Coefficients for Fujifilm GFX 50S.
  - Coefficients for Nikon D3400.
  - Coefficients for Panasonic GH5, GM5, GX850, ZS100.
  - Coefficients for Pentax K-70.
  - Coefficients for Sony RX10, RX10M2, RX10M3, RX100M5, A6500, A580 and A99M2.
  - Coefficients for Olympus E-M1 MarkII.

  - ordiag will check the consistency of vendor id.
  - If the extension isn't found, identify by content.
  - Support active area for Canon CRW.

Bug fixes:

  - Missing RAW type in ordiag.
  - Fixed inconsistencies identifying vendor id.
  - Recognize X-Trans CFA patterns in DNG files.

Internal changes:

  - Requires Rust to build CR3 support.
  - Add an API to get the MakerNote from the RAW file.
  - Refactor some Canon code that can be shared between formats.
  - Don't link test statically.
  - Canon CR2: use Model ID to recognize files.
  - Unpack now uses uint16_t* for its destination buffer.
  - testsuite fixes
    - handle HTTP errors
    - allow disabling tests
    - allow setting a referer
    - replace some samples that can no longer be bootstrapped
  - Added `missingcoefficients` test program to list cameras without
    coefficients.

libopenraw 0.1.3 - 2018/05/03

New features:

  Camera support:
  [ a * denote that WB coefficients have been included ]

  - Support for Nikon Coolpix B700*, P330*, P340*.
  - Support for Fujifilm X-A5*, X-E3*, XQ2* and X-H1*.
  - Support for Canon EOS M100*, 6DMkII*, Rebel SL2/200D*, G1X MarkIII*,
    EOS 5DS*.
  - Support for Panasonic G9*, GX9*, GX800*, TZ110*, TZ202*.
  - Support for Olympus E-PL9*.
  - Support for Leica D-LUX (Typ109)*, V-LUX 4* and Leica CL.
  - Coefficients for Fujifilm X-T10, X-T2, X-T20, X-100F, X-A3, XQ1.
  - Coefficients for Canon EOS-M5, G7X MkII, G9X MkII, 77D, 800D and EOS 5DS R.
  - Coefficients for Panasonic GX80/GX85, FZ2500.
  - Coefficients for Olympus E-PL8.
  - Coefficients for Nikon D5600.

Bug fixes:

  - Stop statically linking binaries
      https://github.com/hfiguiere/libopenraw/pull/1

Internal changes:

  - Fixes for TravisCI.

libopenraw 0.1.2 - 2017/04/17

New features:

  Camera support:
  [ a * denote that WB coefficients have been included ]

  - Support for Canon 77D / 9000D, EOS-M6.
  - Added aliases Canon Rebel T1i / Kiss X3 for 500D, Rebel XSi for 450D,
    Kiss Digital N for 350D.
  - Properly recognize Canon Rebel T7i.
  - Support for Pentax KP (DNG).

Bug fixes:

  - Properly identify DNG converted files as generic DNG.
  - Don't crash on some malformed files.

Internal changes:

  - Replace Debug::Trace with LOGXXX().
  - Use Option<> whenever it is appropriate.
  - Check when loading an IfdEntry that it doesn't got past
    the container size.

libopenraw 0.1.1 - 2017/03/18

New features:

  Camera support:
  [ a * denote that WB coefficients have been included ]

  - Support for Canon G5X*, G7X MkII, G9X*, G9X MkII, EOS-M3*, EOS-M5, EOS-M10*,
    1DX MkII*, 5D MkIV*, 750D*, 760D*, 80D*, Rebel T7i/800D, Rebel T5/1200D*,
    Rebel T6/1300D*.
  - Support for Leica M10 and Leica SL (Typ 601).
  - Support for Nikon D3400, D5*, D500*, D5600, 1 S2*, 1 J4*, 1 AW1*.
  - Support for Fujifilm GFX 50S, X100F, X70*, X-A2*, X-A3, X-E2S*, X-Pro2*, X-T2, X-T20.
  - Support for  Sony A99II, A7R2*,  A6300* and A6500,  RX1RM2*, RX10,
    RX10M2, RX10M3, RX100M4*, RX100M5.
  - Support for Panasonic FZ2500, G80/G85, GH5, GX8*, GX80/GX85, GX850, LX10/LX15,
    ZS100.
  - Support for XIAOYI M1.
  - Support for Olympus E-M10*, E-M10 MkII*, E-M1 MkII, PEN-F*, XZ-10*, TG-4*, SH-2*.
  - Support for Pentax K-1 (PEF & DNG)*, K-S1 (DNG), K-S2 (PEF)*, K-70 (PEF & DNG) and
    Pentax Q-S1 (DNG)
  - Support for Apple iPhone 6S+* and 7+*

  - Coefficients for Canon G3X, 70D, 100D
  - Coefficients for Nikon D3300, D5300, D5500, D7200, D810, 1 V3, 1 J5
  - Coefficients for Olympus E-M5II
  - Coefficients for Fujifilm X100T, X-A1

Bug fixes:

  - Updated coefficients for:
    - Sony A99, RX100, RX100M2, RX100M3,  RX1R, RX1R
    - Nikon D3200
  - Bug 98929 - fix endian detection on FreeBSD.
  - Bug 99927 - fix build with various libjpeg.
  - Bug 54034 - NEF: don't crash with D90 files and similar.
  - Do not abort when ecountering some unpacking errors.
  - Do not crash on RAF file not found.
  - Do not crash on unterminated string value (Pentax Q-S1 DNG)

Internal changes:

  - Added misc/release.sh to help releasing.
  - More use of std::unique_ptr<> instead of raw pointers.
  - Added Nikon D90 and D300 to the testsuite.

libopenraw 0.1.0 - 2016/11/27

New features:

  - Require C++11
  - Colour Matrices support and calibration illuminant.
  - Custom CFA pattern support.
  - Grayscale LinearRaw decoding.
  - API: or_rawdata_get_rendered_image()
  - API: or_rawdata_set_cfa_pattern()
  - API: mark deprecated APIs.
  - API: or_rawdata_get_roi() to get the region of interest from the
    RAW data.
  - API: or_rawdata_get_minmax() replaced by or_rawdata_get_levels().
  - API: or_cfapattern_set_size(), or_cfapattern_get_type() and
    or_cfapattern_get_pattern()
  - API: or_rawdata_get_cfa_pattern_type(). Changed or_rawdata_get_cfa_pattern()
  - API: or_rawdata_get_compression()
  - API: or_rawdata_get_colourmatrix1()
  - API: or_rawfile_get_thumbnail_sizes()
  - API: or_rawfile_get_calibration_illuminant1() and
    or_rawfile_get_calibration_illuminant2()
  - API: or_rawfile_get_metavalue()
  - API: or_metavalue_get_string()
  - API: removed C++ public headers.
  - ordiag now uses the public C APIs.
  - Get the default crop in CR2, CRW and DNG.
  - make dist make a bzip2 archive too (build only).
  - New demo ppmload to create a ppm out of the demosaicized image.
  - Support (partially) PEF from Pentax K-r, K-5, K-7,
    K-x (unconfirmed), 645D, *-ist DS, K200D, K5 II s.
  - Support for Olympus ORF big-endian files and "RS" (12-bits).
    Added E-P2, E-P3, E-PL1, E-PL2, E-PL3, E-PL5, E-PL6, E-PL7,
    E-PM1, E-PM2,
    E-620, E-M5, E-M5 II, XZ-1, XZ-2 and Stylus 1.
    Olympus ORF decompression.
  - Support extracting previews from ORF MakerNote.
  - Support for Canon G12, G15, G16, 600D, 1100D/Rebel T3, PowerShot S90,
    PowerShot S95, Rebel XS, PowerShot S100, PowerShot S110,
    PowerShot G1 X, PowerShot G7 X, 1D X, 5DMkIII,
    Rebel T4i/650D, 6D, EOS-M, PowerShot SX50 HS, 70D
    7DMkII, PowerShot G1 X MkII, Rebel T6, Rebel T6s, 5DS R.
  - Support make and model metadata from CRW.
  - API: Canon camera ID have aliases.
  - Support for Nikon D4, D3100, D3200, D3300, D5000, D5100, D5200,
    D5300, D5500, D7000, D7100, D7200,
    J1, J2, J3, J5, S1, V1, V2, V3, Coolpix A,
    D3S, D3X, D300S, D600, D610, D700, D750, D800, D800E, D810,
    D90, D60, Df, D4S,
    Coolpix E5400, E5700, E8400.
  - Added support for Sony A-380, A-390, A-560, A-580, A-850, A-900,
    SLT-A33, SLT-A35, SLT-A55, SLT-A57, SLT-A58, SLT-A65, SLT-A77,
    SLT-A99,
    Nex-3, Nex-5, Nex-5N, Nex-5R, Nex-5T, Nex-6, Nex-C3, Nex-F3, Nex-7,
    RX-1, RX-1R, RX-100, RX-100M2, RX-100M3, A7, A7R, A3000, A6000.
  - Extract compressed raw from ARW (but A-100).
  - Support for DNG from Pentax Q, Q7, K-r, K-x, K200D, K-01, K-30,
    K-5 II s, MX-1, K-3, K-50, K-500 ;
    Leica M9, M Monochrom, M (typ 240), S2, X2, X-Vario, T (typ 701),
    X (typ 113), Q (typ 116);
    Ricoh GXR
  - Support for Nikon NRW: P6000, P7000, P7100 and P7700 (partial).
  - Support for Panasonic RAW and RW2.
  - Support for FujiFilm RAF.
  - Support for Epson R-D1s.
  - Support Exif from Minolta MRW.
  - ordiag
    - Nicer display of the type ID in ordiag.
    - Display make and model.

Bug fixes:

  - API: or_rawfile_get_rendered_image() returns a ORBitmapDataRef with
    the correct dimensions.
    + corrected the Gdk support for above change.
  - Bug 24088 - Check for get_current_dir_name().
  - Don't crash when the files can't be written in the testsuite bootstrap.
  - Bug 26618 - Detect that ORF file are compressed if they are.
  - Bug 25464 - Skip compressed CFA when rendering the image.
  - Accept YCbCr when the compression is JPEG. The K10D DNG should now have
    the large size preview.
  - Bug 54034 - Implement decompression for D90 and other Lossy14Bits.
  - Fix some little-endian NEF decoding bugs.
  - Bug 69432 - Rename .pc to libopenraw-0.1.pc
  - Bug 74786 - Propagate the boost includes. Replace INCLUDES by
    AM_CPPFLAGS
  - Bug 72270 - Don't load RGB8 thumbnails from CR2
  - Bug 70699 - Header guards violated C standard.
  - Fixed variuos overflow, in CRW decompress, ORF decompress,
    CR2 slice parsing
  - Fixed memory leak in or_gdkpixbuf_extract_thumbnail() and friends.
  - Fixed various memory leaks.

Internal changes:

  - Now requires a C++ 11 capable compiler.
  - Remove most of boost that is in C++11.
  - Fixed warnings.
  - De-recursify the build system.
  - Support to load MakerNote IFD with test.
  - Streamline the loading of IFDs.
  - Move the rendering on the RawData class.
  - BUG: IO::StreamClone::seek() now return the proper value.
  - Bug 48429 - Remove shave for automake silent rules (with help from
    Adrian Bunk).
  - Bug 54224 - Remove debian packaging (Adrian Bunk).
  - Bug 54229 - Remove .cvsignore (Adrian Bunk).
  - Add libasan support for debugging.
  - Fix IO::Stream tests.
  - IO::Streams used shared_ptr<>
  - New tracing/logging API.
  - Use 16bits CRC for testsuite.
  - Allow `make distscheck` to pass by disabling GNOME support.

libopenraw 0.0.9 - 2011/11/13

New features:

  - Support (partially) PEF from Pentax K20D.
  - Support for Olympus ORF big-endian files and "RS" (12-bits).
    Added E-10, E-P1, E-620, SP350, SP500, SP510 and SP550.
  - Support for Canon G10, G11, 7D, 1DMarkIV, 5DMarkII, 500D, 550D, 60D and 1000D.
  - Support for Canon 50D (Closes #30846).
  - Support for Nikon D3000.
  - Support for Sony A-550.
  - Support for Leica X1 DNG.
  - Support for Ricoh GRX DNG.

Bug fixes:

  - Properly decompress CFA from Canon 7D, 5DMkII, 500D, 1DMkIV (and any
    other whose JPEG stream have 4 components)
  - Accept YCbCr when the compression is JPEG. The K10D DNG should now have
    the large size preview.
  - Install the GdkPixbuf in the right place. (Closes #29208) (Vincent Untz)
  - Fixed overflow in the unpack_be12to16() and report errors.
  - Fixed some compilation errors in the Gdk pixbuf loader.
  - Fixed IDs for Canon 350D and 400D.
  - Pass the orientation to gdk-pixbuf in the loader. (Closes #37920)

Internal changes:

  - Rename debug.{h,cpp} to trace.{h,cpp}
  - Fixed the case on several class names.

libopenraw 0.0.8 - 2009/05/15

Bug fixes:

  - includes missing for gcc 4.4
  - Fix crash in or_get_file_extensions()

libopenraw 0.0.7 - 2009/04/28

Bug fixes:

  - fix some warnings in the test and demo programs.
  - fix a huge memory leak (Closes #21435) (Priit Laes)

libopenraw 0.0.6 - 2009/02/21

  - LICENSE change to LGPLv3+
  - BUG: cfa output should write the data in PGM as big endian.
  - BUG: added missing includes breaking on gcc 4.3 and other platforms.
    (Closes bug #18243).
  - BUG: better handling of Canon CR2 "slices" to fix crasher
    with Canon 450D/Digital Rebel XSi files (and possibly others).
  - NEW: API or_rawfile_new_from_memory() to load a Raw file from
    a memory buffer.
  - NEW: API or_rawfile_get_typeid() and the associated consts.
  - NEW: API or_rawdata_get_minmax()
  - NEW: API or_get_file_extensions()
  - NEW: API or_rawfile_get_rendered_image() to get a rendered image.
  - NEW: API or_bitmapdata_*()
  - NEW: GdkPixbuf loader.
  - NEW: Decompress NEF files.
  - NEW: Python bindings.
  - NEW: testsuite can be overridden with an override file.
  - NEW: testsuite can be bootstrapped to download its files off
    the internet.
  - NEW: add shave to the build system for saner output.
  - TODO: apply the coefficients.

libopenraw 0.0.5 - 2008/02/26

  - BUG: re-order commands in autogen.sh bug #14055
  - BUG: IFDFileContainer inside another container was
    failing because relative offsets were not used. Needed for
    formats like RAF and MRW.
  - BUG: testsuite didn't return a fail if a test failed, causing make check
    to succeed even if test failed.
  - BUG: in the use case CIFF (CRW) parsing could crash.
  - BUG: JPEG thumbnails in CR2 where mistakenly recognized as 8RGB
  - BUG: work around thumbnails in CR2 marked as JPEG but that really
    are 8RGB (see Gnome bug #421175).
  - BUG: decompressing CRW was reading past the buffer.
  - NEW: testsuite now support doing checksum on data.
  - NEW: support for Minolta MRW from Dimage 5, Dimage 7x, A1, A2, 5D
    and 7D.
  - NEW: API or_rawdata_get_cfa_pattern() to fetch the CFA pattern.
  - NEW: Decompress/unpack RAW data from DNG uncompressed: Leica DMR,
    Leica M8, Samsung GX-10 and Pro815, K10D, Ricoh GR-2)
  - NEW: Decompress/unpack NEF RAW data from D1, D1X, D100, D2X.
  - NEW: Unpack RAW data from Epson ERF R-D1 files.
  - NEW: demo/thumbc output PPM if the thumbnail is 8RGB.
  - NEW: demo/thumbc now allow -s to pass the thumbnail size wanted.

libopenraw 0.0.4 - 2008/01/12

  - NEW: support for Epson ERF.
  - NEW: support getting the image orientation: CR2, CRW, PEF, NEF, ORF,
    ARW, DNG.
  - NEW: rawfile API.
  - NEW: ordiag dump the thumbnail byte size.
  - NEW: configurable testsuite (without sample files).
  - BUG: missing include.
  - BUG: fix compiler warnings.
  - BUG: fix some compile failures. bug #13717
  - BUG: fix crash on non-CIFF CRW file. bug #13393
  - BUG: gdk demo shouldn't be compiled without Gnome support. bug #13718
  - BUG: boost detection cleanup. bug #13658, bug #13659

libopenraw 0.0.3 - 2007/11/25

  - NEW: Decompress several formats: CR2, DNG and CRW.
  - NEW: Added gdk pixbuf demo.
  - BUG: fix crash if the file is not found. bug #13371
  - BUG: fix memory bug in GdkPixbuf support. bug #13383

libopenraw 0.0.2 - 2007/01/25

  - Added GdkPixbuf support for Gnome
  - No longer install libopenraw++ headers

libopenraw 0.0.1 - 2006/12/09

  - First release.
	It features:
	-C and C++ api
	-Thumbnail extraction
	-Supported file formats are: Canon CR2 and CRW,
	Nikon NEF, Pentax PEF, Olympus ORF,
	Adobe DNG, Sony ARW.


